with GNATCOM.IInterface;

package MSHTML.IElementBehaviorFactory_Interface is

   type IElementBehaviorFactory_Type is
     new GNATCOM.IInterface.Interface_Type with null record;

   procedure Initialize (This : in out IElementBehaviorFactory_Type);

   function Pointer (This : IElementBehaviorFactory_Type)
     return Pointer_To_IElementBehaviorFactory;

   procedure Attach (This    : in out IElementBehaviorFactory_Type;
                     Pointer : in     Pointer_To_IElementBehaviorFactory);

   function FindBehavior
     (This            : IElementBehaviorFactory_Type;
      bstrBehavior    : GNATCOM.Types.BSTR;
      bstrBehaviorUrl : GNATCOM.Types.BSTR;
      pSite           : Pointer_To_IElementBehaviorSite;
      Free            : Boolean := True)
     return Pointer_To_IElementBehavior;

end MSHTML.IElementBehaviorFactory_Interface;

